#include "lcd.hpp"

enum 
{
  stStart  = 0,
  
  stOpen   = 1,
  stClose  = 2,
  stAuto   = 4,
  stManual = 8,
  stNoise  = 16,
  stVent   = 32,
  stParentAuto   = 64,
  stParentManual = 128, 

  stAOW  = stAuto|stOpen,
  stACW  = stAuto|stClose,
  stVOWA = stAuto|stOpen|stVent|stParentAuto,
  stNCWA = stAuto|stClose|stNoise|stParentAuto,
  stMOW  = stManual|stOpen,
  stMCW  = stManual|stClose, 
  stVOWM = stAuto|stOpen|stVent|stParentManual,
  stNCWM = stAuto|stClose|stNoise|stParentManual
};

enum 
{
  toNoise   =  5*60,
  toManual  =  5*60,
  toVent    = 10*60,
  toMove    =  1*60
};

extern unsigned long ulStepStart,
                     ulStepLimit;
extern int iAutoClose;

int Step( int from );
int Jumps( int state );
int Work( int state );
void Name( char * name, int state );
