/* 
This is a test sketch for the Adafruit assembled Motor Shield for Arduino v2
It won't work with v1.x motor shields! Only for the v2's with built in PWM
control

For use with the Adafruit Motor Shield v2 
---->  http://www.adafruit.com/products/1438
*/
#include <Adafruit_MotorShield.h>
#include <Wire.h>
#include "motor.hpp"

// Create the motor shield object with the default I2C address
Adafruit_MotorShield AFMS = Adafruit_MotorShield(0x60); 
// Or, create it with a different I2C address (say for stacking)
// Adafruit_MotorShield AFMS = Adafruit_MotorShield(0x61); 

// Select which 'port' M1, M2, M3 or M4. In this case, M1
Adafruit_DCMotor *myMotor = AFMS.getMotor(1);
// You can also make another motor on port M2
//Adafruit_DCMotor *myOtherMotor = AFMS.getMotor(2);

static const int iMaxSpeed = 255;

void motorSetup(void) {
  AFMS.begin();  // create with the default frequency 1.6KHz
  myMotor->setSpeed(iMaxSpeed);
}

void motorChange( int status )
{
  static int prev = -1;
  if( status != prev )
  {
    myMotor->run(status);
    prev = status;
    Serial.print( "motorChange:" );
    Serial.println( status );
  }
}

void motorMoveSlo( int status )
{
 myMotor->setSpeed(iMaxSpeed/4);
 motorChange(status); 
 delay( 500 );
 myMotor->setSpeed(iMaxSpeed/2);
 motorChange(status); 
 delay( 500 );
 myMotor->setSpeed(iMaxSpeed);
 motorChange(status);
}

void motorOpenSlo( void ){ motorMoveSlo(FORWARD); }
void motorCloseSlo( void ){ motorMoveSlo(BACKWARD); }

void motorOpen( void ){ motorChange(FORWARD); }
void motorClose( void ){ motorChange(BACKWARD); }
void motorStop( void ){ motorChange(RELEASE); }
