#include <Arduino.h>
#include "noise.hpp"
#include "logic.hpp"

static const int noisePin = 3;
unsigned long ulSilence = -1;

void noiseSetup()
{
  pinMode(noisePin, INPUT);
  ulSilence = millis();
}

bool noiseIsOne(void)
{
 return digitalRead(noisePin) == LOW;
}

void noiseListen(void)
{
   if( noiseIsOne() ) ulSilence = millis();
}

bool noiseIs(void)
{
 bool isN = false;
 
 if( noiseLock )
  return isN; 

 if( millis() - ulSilence < (unsigned long)toNoise*1000/2 )
  return true;

 if( (isN = noiseIsOne()) )
 {
  delay( 100 );
  for( int i = 0; i < 10; i++ )
  {
   if( !(isN = noiseIsOne()) )
    break;
   delay( 10 );
  }
 }

 return isN;
}

bool noiseLock = false;
